# $Revision: 1.5 $, $Date: 2002/07/20 07:15:02 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Handler-YAWriter
Summary:	XML::Handler::YAWriter perl module
Summary(pl):	Modu perla XML::Handler::YAWriter
Name:		perl-XML-Handler-YAWriter
Version:	0.23
Release:	2
License:	distributable
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl(IO::File) >= 1.06
BuildRequires:	perl-libxml >= 0.06
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%description -l pl
YAWriter to jeszcze jedna implementacja (Yet Another)
XML::Handler::Writer. Powstaa dlatego, e autor potrzebowa
elastycznej techniki cytowania i chcia pewnego rodzaju adnego
drukowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/XML/Handler/*
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Handler-YAWriter.spec,v $
Revision 1.5  2002/07/20 07:15:02  qboosh
- added xmlpretty program
- %%{perl_sitelib}/XML/Handler dir (belongs to perl-libxml)
- completed BRs
- release 2

Revision 1.4  2002/07/10 09:02:54  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/25 11:12:37  qboosh
- pl description

Revision 1.2  2002/05/24 12:59:38  jajcus
- %%pdir/%%pnam fixed

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
